Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_UIPMC_Transport Class Reference

Specialization of the base TAO_Transport class to handle the MIOP protocol. More...

`#include <UIPMC_Transport.h>`

Inheritance diagram for TAO_UIPMC_Transport:

[legend]
Collaboration diagram for TAO_UIPMC_Transport:

[legend]
List of all members.

## Overridden Template Methods
These are implementations of template methods declared by TAO_Transport.
virtual int | send_request (TAO_Stub *stub, TAO_ORB_Core *orb_core, TAO_OutputCDR &stream, int message_semantics, ACE_Time_Value *max_wait_time)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual int | send_message (TAO_OutputCDR &stream, TAO_Stub *stub=0, int message_semantics=TAO_Transport::TAO_TWOWAY_REQUEST, ACE_Time_Value *max_time_wait=0)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual int | messaging_init (CORBA::Octet major, CORBA::Octet minor)
| Initialising the messaging object. More...
virtual ACE_Event_Handler * | event_handler_i (void)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual TAO_Connection_Handler * | connection_handler_i (void)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual ACE_Event_Handler * | invalidate_event_handler_i (void)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual TAO_Pluggable_Messaging * | messaging_object (void)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual ssize_t | send_i (iovec *iov, int iovcnt, size_t &bytes_transferred, const ACE_Time_Value *max_wait_time)
| Write the complete Message_Block chain to the connection. More...
virtual ssize_t | recv_i (char *buf, size_t len, const ACE_Time_Value *s=0)
| Read len bytes from into buf. More...
virtual int | register_handler_i (void)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
## Public Methods
| TAO_UIPMC_Transport (TAO_UIPMC_Connection_Handler *handler, TAO_ORB_Core *orb_core, CORBA::Boolean flag)
| Constructor. More...
| ~TAO_UIPMC_Transport (void)
| Default destructor. More...
virtual int | handle_input_i (TAO_Resume_Handle &rh, ACE_Time_Value *max_wait_time=0, int block=0)
| Look for the documentation in Transport.h. More...
## Private Methods
int | process_message (void)
| Process the message that we have read. More...
## Private Attributes
TAO_UIPMC_Connection_Handler * | connection_handler_
| The connection service handler used for accessing lower layer communication protocols. More...
TAO_Pluggable_Messaging * | messaging_object_
| Our messaging object. More...

## Detailed Description

Specialization of the base TAO_Transport class to handle the MIOP protocol.

## Constructor & Destructor Documentation

TAO_UIPMC_Transport::TAO_UIPMC_Transport | ( | TAO_UIPMC_Connection_Handler * | handler,
|  | TAO_ORB_Core * | orb_core,
|  | CORBA::Boolean | flag
| ) |

| Constructor.

TAO_UIPMC_Transport::~TAO_UIPMC_Transport | ( | void |  | ) |

| Default destructor.

## Member Function Documentation

TAO_Connection_Handler * TAO_UIPMC_Transport::connection_handler_i | ( | void |  | ) | `[protected, virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

ACE_Event_Handler * TAO_UIPMC_Transport::event_handler_i | ( | void |  | ) | `[protected, virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

int TAO_UIPMC_Transport::handle_input_i | ( | TAO_Resume_Handle & | rh,
|  | ACE_Time_Value * | max_wait_time = 0,
|  | int | block = 0
| ) | `[virtual]`

| Look for the documentation in Transport.h. Reimplemented from TAO_Transport.

ACE_Event_Handler * TAO_UIPMC_Transport::invalidate_event_handler_i | ( | void |  | ) | `[protected, virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

int TAO_UIPMC_Transport::messaging_init | ( | CORBA::Octet | major,
|  | CORBA::Octet | minor
| ) | `[virtual]`

| Initialising the messaging object. Reimplemented from TAO_Transport.

TAO_Pluggable_Messaging * TAO_UIPMC_Transport::messaging_object | ( | void |  | ) | `[protected, virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

int TAO_UIPMC_Transport::process_message | ( | void |  | ) | `[private]`

| Process the message that we have read.

ssize_t TAO_UIPMC_Transport::recv_i | ( | char * | buf,
|  | size_t | len,
|  | const ACE_Time_Value * | s = 0
| ) | `[protected, virtual]`

| Read len bytes from into buf. Reimplemented from TAO_Transport.

int TAO_UIPMC_Transport::register_handler_i | ( | void |  | ) | `[protected, virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

ssize_t TAO_UIPMC_Transport::send_i | ( | iovec * | iov,
|  | int | iovcnt,
|  | size_t & | bytes_transferred,
|  | const ACE_Time_Value * | max_wait_time
| ) | `[protected, virtual]`

| Write the complete Message_Block chain to the connection. Reimplemented from TAO_Transport.

int TAO_UIPMC_Transport::send_message | ( | TAO_OutputCDR & | stream,
|  | TAO_Stub * | stub = 0,
|  | int | message_semantics = TAO_Transport::TAO_TWOWAY_REQUEST,
|  | ACE_Time_Value * | max_wait_time = 0
| ) | `[virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

int TAO_UIPMC_Transport::send_request | ( | TAO_Stub * | stub,
|  | TAO_ORB_Core * | orb_core,
|  | TAO_OutputCDR & | stream,
|  | int | message_semantics,
|  | ACE_Time_Value * | max_wait_time
| ) | `[virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

## Member Data Documentation

TAO_UIPMC_Connection_Handler* TAO_UIPMC_Transport::connection_handler_`[private]`

| The connection service handler used for accessing lower layer communication protocols.

TAO_Pluggable_Messaging* TAO_UIPMC_Transport::messaging_object_`[private]`

| Our messaging object.

The documentation for this class was generated from the following files:

- UIPMC_Transport.h
- UIPMC_Transport.cpp